pam (1.7.0-5ubuntu4) stonking; urgency=medium

  * SECURITY UPDATE: password recovery via timing discrepancy in pam_userdb
    module string comparisons
    - debian/patches/CVE-2026-54411.patch: pam_userdb: fix password comparison
      timing leak in libpam/include/pam_inline.h,
      modules/pam_userdb/pam_userdb.c.
    - CVE-2026-54411

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Jul 2026 09:34:12 -0400

pam (1.7.0-5ubuntu3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:33:17 +0100

pam (1.7.0-5ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:08:48 +0000

pam (1.7.0-5ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112053). Remaining changes:
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's
      not present there or in /etc/security/pam_env.conf. (should send to
      Debian).
    - debian/libpam0g.postinst: only ask questions during update-manager
      when there are non-default services running.
    - debian/libpam0g.postinst: check if gdm is actually running before
      trying to reload it.
    - debian/patches/pam_motd-legal-notice: display the contents of
      /etc/legal once, then set a flag in the user's homedir to prevent
      showing it again.
    - debian/patches/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits.
    - debian/update-motd.5, debian/libpam-runtime.manpages: add a manpage
      for update-motd, with some best practices and notes of explanation.
    - debian/patches/update-motd-manpage-ref: add a reference in pam_motd(8)
      to update-motd(5)
    - debian/local/common-session{,-noninteractive}: Enable pam_umask by
      default, now that the umask setting is gone from /etc/profile.
    - debian/local/pam-auth-update: Add the new md5sums for pam_umask addition.
    - debian/patches/extrausers.patch: Add a pam_extrausers module
      that is basically just a copy of pam_unix but looks at
      /var/lib/extrausers/{group,passwd,shadow} instead of /etc/
    - debian/libpam-modules-bin.install: install the helper binaries for
      pam_extrausers to /sbin
    - debian/rules: Make pam_extrausers_chkpwd sguid shadow
    - Add lintian override for pam_extrausers_chkpwd
    - Disable custom daemon restart detection code if needrestart is available
    - d/p/pam_env-remove-deprecation-notice-for-user_readenv.patch: drop
      deprecation warning about user_readenv from pam_env (LP 2059859)
    - debian/patches/pam_umask_usergroups_from_login.defs.patch:
      Deprecate pam_unix's explicit "usergroups" option and instead read it
      from /etc/login.def's "USERGROUP_ENAB" option if umask is only defined
      there. This restores compatibility with the pre-PAM behaviour of login.
    - d/po/eu.po, d/po/fi.po, d/po/vi.po: Clean-up translation files
    - debian/patches/fix-pam_motd_ftbfs.patch: fix FTBFS in display_legal()
    - d/p/031_pam_include: fix loading from /usr/lib/pam.d (LP #2087827)
  * Drop Changes:
    - debian/pam-configs/mkhomedir: honor default private home directory
      permissions for pam_mkdir.so by specifying a umask of 0027
      (LP #1957024)
      [Dropped the above change and its revert below]
    - debian/pam-configs/mkhomedir: remove umask override added previously
      for LP #1957024 as this is not actually needed since pam_mkhomedir
      already respects HOME_MODE from login.defs and it complicates umask
      management in general
    - SECURITY UPDATE: privilege escalation via pam_namespace
      [Fixed in 1.7.0-4]
  * Changed Delta:
    - d/p/extrausers.patch,
      d/p/pam_umask_usergroups_from_login.defs.patch,
      d/p/update-motd-manpage-ref: Update patches to work with meson. Drop
      text-based man-pages in favor of XML ones. Add required code to build
      scripts.
    - debian/tests/usr-lib-config: Fix typo in "mv /usr/lib/pam.d/passwd
      /etc/pam.d/*"

 -- Ankush Pathak <ankush.pathak@canonical.com>  Thu, 03 Jul 2025 22:03:16 +0530

pam (1.7.0-5) unstable; urgency=high

  * pam_access: backport upstream commit to implement nodns option to allow people to work around #1087019

 -- Sam Hartman <hartmans@debian.org>  Sun, 29 Jun 2025 11:40:46 -0600

pam (1.7.0-4) experimental; urgency=high

  [ Gioele Barabucci ]
  * d/control: Update standards version to 4.7.0, no changes needed
  * d/TODO: Remove outdated item about fop (Closes: #629438)

  [ Sam Hartman ]
  * Fix CVE-2025-6020: local privilege escalation in pam_namespace, Closes: 1107919

  [ James Morris ]
  * pam_access improperly checks for group membership of a user.
    (Closes: #1103339)

 -- Sam Hartman <hartmans@debian.org>  Thu, 26 Jun 2025 11:42:58 -0600

pam (1.7.0-3) unstable; urgency=high

  * Disable HURD suid patch for now because it breaks on Linux, Closes:
    #1095194

 -- Sam Hartman <hartmans@debian.org>  Tue, 11 Feb 2025 05:19:04 -0700

pam (1.7.0-2) unstable; urgency=medium

  * Release to unstable

 -- Sam Hartman <hartmans@debian.org>  Wed, 29 Jan 2025 18:58:07 -0700

pam (1.7.0-1) experimental; urgency=medium

  * New upstream version, Closes: #1088923
    - ChangeLog removed upstream, do not install it.
    - Upstream claims CVE-2024-10041 is fixed by PAM 1.6.0, Closes:
      #1086038
  * Build depend on meson
  * Depend on fop
  * Use installed faillock and namespace man page rather than source man page.
  * Install text module documentation in libpam-doc/txt
  * Build and install pdf documentation
  * Remove Steve from uploaders, thanks for all your contributions; you
    will be missed.
  * In response to lintian complaint, clarify that PAM can be distributed under any version of the GPL.
  * Pdf files are compressed; update doc-base
  * Properly handle environment.5 manpage, Closes: #1081181
  * Move pam module man pages into libpam-runtime to avoid  multi-arch uninstallability
  * Move libpam0g-dev man pages into libpam-doc
  * Build depend on pkgconf rather than pkg-config
  * Only build-depend on documentation tools for arch-indep builds; do not build docs for arch all builds, Closes: #1093222
  * pam_limits: do not override systemd's limits by default; add the set_all option to restore previous behavior, Closes: #995236
  * Document pam_limits change in news

 -- Sam Hartman <hartmans@debian.org>  Thu, 16 Jan 2025 15:59:23 -0700

pam (1.5.3-7ubuntu6) questing; urgency=medium

  * SECURITY UPDATE: privilege escalation via pam_namespace
    - debian/patches/pam_namespace_170.patch: sync pam_namespace module to
      version 1.7.0.
    - debian/patches/pam_namespace_post170-*.patch: add post-1.7.0 changes
      from upstream git tree.
    - debian/patches/pam_namespace_revert_abi.patch: revert ABI change to
      prevent unintended issues in running daemons.
    - debian/patches/CVE-2025-6020-1.patch: fix potential privilege
      escalation.
    - debian/patches/CVE-2025-6020-2.patch: add flags to indicate path
      safety.
    - debian/patches/CVE-2025-6020-3.patch: secure_opendir: do not look at
      the group ownership.
    - debian/patches/pam_namespace_o_directory.patch: removed, included in
      patch cluster above.
    - CVE-2025-6020

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Jun 2025 12:58:44 -0400

pam (1.5.3-7ubuntu5) questing; urgency=medium

  * d/p/031_pam_include: fix loading from /usr/lib/pam.d (LP: #2087827)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 21 May 2025 16:03:01 +0200

pam (1.5.3-7ubuntu4) plucky; urgency=medium

  * debian/pam-configs/mkhomedir: remove umask override added previously
    for LP#1957024 as this is not actually needed since pam_mkhomedir
    already respects HOME_MODE from login.defs and it complicates umask
    management in general

 -- Alex Murray <alex.murray@canonical.com>  Wed, 20 Nov 2024 06:43:46 +1030

pam (1.5.3-7ubuntu3) plucky; urgency=medium

  [ Ponnuvel Palaniyappan ]
  * debian/pam-configs/mkhomedir: honor default private home directory
    permissions for pam_mkdir.so by specifying a umask of 0027
    (LP: #1957024)

 -- Alex Murray <alex.murray@canonical.com>  Thu, 07 Nov 2024 13:29:20 +1030

pam (1.5.3-7ubuntu2) oracular; urgency=medium

  * debian/patches/fix-pam_motd_ftbfs.patch: fix FTBFS in display_legal()

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 16 Aug 2024 14:53:00 +0530

pam (1.5.3-7ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's
      not present there or in /etc/security/pam_env.conf. (should send to
      Debian).
    - debian/libpam0g.postinst: only ask questions during update-manager
      when there are non-default services running.
    - debian/libpam0g.postinst: check if gdm is actually running before
      trying to reload it.
    - debian/patches/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits.
    - debian/patches/pam_umask_usergroups_from_login.defs.patch:
      Deprecate pam_unix's explicit "usergroups" option and instead read it
      from /etc/login.def's "USERGROUP_ENAB" option if umask is only defined
      there. This restores compatibility with the pre-PAM behaviour of login.
    - debian/patches/pam_motd-legal-notice: display the contents of
      /etc/legal once, then set a flag in the user's homedir to prevent
      showing it again.
    - debian/update-motd.5, debian/libpam-modules.manpages: add a manpage
      for update-motd, with some best practices and notes of explanation.
    - debian/patches/update-motd-manpage-ref: add a reference in pam_motd(8)
      to update-motd(5)
    - debian/local/common-session{,-noninteractive}: Enable pam_umask by
      default, now that the umask setting is gone from /etc/profile.
    - debian/local/pam-auth-update: Add the new md5sums for pam_umask addition.
    - debian/patches/extrausers.patch: Add a pam_extrausers module
      that is basically just a copy of pam_unix but looks at
      /var/lib/extrausers/{group,passwd,shadow} instead of /etc/
    - debian/libpam-modules-bin.install: install the helper binaries for
      pam_extrausers to /sbin
    - debian/rules: Make pam_extrausers_chkpwd sguid shadow
    - Add lintian override for pam_extrausers_chkpwd
    - Disable custom daemon restart detection code if needrestart is available
    - d/p/pam_env-remove-deprecation-notice-for-user_readenv.patch: drop
      deprecation warning about user_readenv from pam_env (LP 2059859)

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 30 Apr 2024 16:17:36 -0600

pam (1.5.3-7) unstable; urgency=medium

  * Correct Build depends for docbook5, Closes: #1065064
  * Regenerate patches to capture date change in pam_getitem.3
  * Depend on libdb-dev again, bringing back pam_userdb, Closes: #1065088
  * Document pam_umask change, Closes: #1065806

 -- Sam Hartman <hartmans@debian.org>  Mon, 08 Apr 2024 16:35:07 -0600

pam (1.5.3-6) unstable; urgency=medium

  [ Dan Bungert ]
  * Fix FTBFS when built with -Werror=implicit-function-declaration

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 12:56:32 -0800

pam (1.5.3-5ubuntu5) noble; urgency=medium

  * d/p/pam_env-remove-deprecation-notice-for-user_readenv.patch: drop
    deprecation warning about user_readenv from pam_env (LP: #2059859)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 10 Apr 2024 16:19:22 -0300

pam (1.5.3-5ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:03:23 +0000

pam (1.5.3-5ubuntu3) noble; urgency=medium

  * No-change rebuild against libdb5.3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2024 20:36:06 +0000

pam (1.5.3-5ubuntu2) noble; urgency=medium

  * Fix FTBFS when built with -Werror=implicit-function-declaration
    (LP: #2055453)

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 29 Feb 2024 11:53:08 -0700

pam (1.5.3-5ubuntu1) noble; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's
      not present there or in /etc/security/pam_env.conf. (should send to
      Debian).
    - debian/libpam0g.postinst: only ask questions during update-manager
      when there are non-default services running.
    - debian/libpam0g.postinst: check if gdm is actually running before
      trying to reload it.
    - debian/patches/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits.
    - debian/patches/pam_umask_usergroups_from_login.defs.patch:
      Deprecate pam_unix's explicit "usergroups" option and instead read it
      from /etc/login.def's "USERGROUP_ENAB" option if umask is only defined
      there. This restores compatibility with the pre-PAM behaviour of login.
    - debian/patches/pam_motd-legal-notice: display the contents of
      /etc/legal once, then set a flag in the user's homedir to prevent
      showing it again.
    - debian/update-motd.5, debian/libpam-modules.manpages: add a manpage
      for update-motd, with some best practices and notes of explanation.
    - debian/patches/update-motd-manpage-ref: add a reference in pam_motd(8)
      to update-motd(5)
    - debian/local/common-session{,-noninteractive}: Enable pam_umask by
      default, now that the umask setting is gone from /etc/profile.
    - debian/local/pam-auth-update: Add the new md5sums for pam_umask addition.
    - debian/patches/extrausers.patch: Add a pam_extrausers module
      that is basically just a copy of pam_unix but looks at
      /var/lib/extrausers/{group,passwd,shadow} instead of /etc/
    - debian/libpam-modules-bin.install: install the helper binaries for
      pam_extrausers to /sbin
    - debian/rules: Make pam_extrausers_chkpwd sguid shadow
    - Add lintian override for pam_extrausers_chkpwd
    - Disable custom daemon restart detection code if needrestart is available

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 29 Feb 2024 10:25:41 -0700

pam (1.5.3-5) unstable; urgency=medium

  * Revert renaming libpam0g to libpam0t64 for time_t transition: apt
    sometimes removes libpam0g rather than simply letting libpam0t64
    replace libpam0g (and deconfiguring libpam0g), leaving a system where
    essential packages are broken,  Closes: #1065017
    * Since libpam0t64 is going away, we do not need dpkg-diversions for it.
    * As a consequence libpam_misc has an ABI break without a package name
    change.  We believe nothing in the archive depends on this ABI, and at
    least until we come up with a better solution this is the least bad option.
  * For now remove libdb-dev so that libdb-dev can undergo time_t
    transition.  That means this version of pam does not include
    pam_userdb, which makes pam unsuitable for release.
  * Replace/break libpam0t64

 -- Sam Hartman <hartmans@debian.org>  Thu, 29 Feb 2024 09:46:54 -0700

pam (1.5.3-4ubuntu1) noble; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's
      not present there or in /etc/security/pam_env.conf. (should send to
      Debian).
    - debian/libpam0t64.postinst: only ask questions during update-manager
      when there are non-default services running.
    - debian/libpam0t64.postinst: check if gdm is actually running before
      trying to reload it.
    - debian/patches/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits.
    - debian/patches/pam_umask_usergroups_from_login.defs.patch:
      Deprecate pam_unix's explicit "usergroups" option and instead read it
      from /etc/login.def's "USERGROUP_ENAB" option if umask is only defined
      there. This restores compatibility with the pre-PAM behaviour of login.
    - debian/patches/pam_motd-legal-notice: display the contents of
      /etc/legal once, then set a flag in the user's homedir to prevent
      showing it again.
    - debian/update-motd.5, debian/libpam-modules.manpages: add a manpage
      for update-motd, with some best practices and notes of explanation.
    - debian/patches/update-motd-manpage-ref: add a reference in pam_motd(8)
      to update-motd(5)
    - debian/local/common-session{,-noninteractive}: Enable pam_umask by
      default, now that the umask setting is gone from /etc/profile.
    - debian/local/pam-auth-update: Add the new md5sums for pam_umask addition.
    - debian/patches/extrausers.patch: Add a pam_extrausers module
      that is basically just a copy of pam_unix but looks at
      /var/lib/extrausers/{group,passwd,shadow} instead of /etc/
    - debian/libpam-modules-bin.install: install the helper binaries for
      pam_extrausers to /sbin
    - debian/rules: Make pam_extrausers_chkpwd sguid shadow
    - Add lintian override for pam_extrausers_chkpwd
    - Disable custom daemon restart detection code if needrestart is available
  * Dropped changes, included in Debian:
    - SECURITY UPDATE: pam_namespace local denial of service
      - debian/patches/CVE-2024-22365.patch: use O_DIRECTORY to
        prevent local DoS situations in modules/pam_namespace/pam_namespace.c.
      - CVE-2024-22365
    - Install into /usr/{lib,sbin} instead of /{lib,sbin}. Assumes
      usrmerge aliasing symlinks are in place since bookworm to keep
      compatibility with PAM modules still installing into /lib.
      (DEP17 M2) (Closes: #1060160).
    - Mitigate /usr-move file loss. (Closes: #1062802)
    - Update lintian override for setgid binary.

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 28 Feb 2024 21:07:18 -0700

pam (1.5.3-4) unstable; urgency=medium

  * Upload to unstable
  * Revert 1.5.2-9.1 changes to debian/rules now that we use
    debian/patches properly.

 -- Sam Hartman <hartmans@debian.org>  Tue, 27 Feb 2024 21:30:52 -0700

pam (1.5.3-3) experimental; urgency=medium

  [ Helmut Grohne ]
  * Mitigate /usr-move file loss. (Closes: #1062802)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 03 Feb 2024 12:18:52 +0100

pam (1.5.3-2) experimental; urgency=medium

  * Rename libpam0g to libpamt64 for time_t transition
  * New Swedish Translations, Thanks Martin Bagge / brother, Closes: #1057775
  * pam_namespace: protect_dir(): use O_DIRECTORY to prevent local DoS
    situations (CVE-2024-22365) (Closes: #1061097)

 -- Sam Hartman <hartmans@debian.org>  Fri, 02 Feb 2024 11:27:45 -0700

pam (1.5.3-1) experimental; urgency=medium

  [ Sam Hartman ]
  * New upstream version
  * Since we no longer build with NIS support, drop Debian patches related
    to NIS
  [ Debian Janitor]
  * Update lintian override info to new format:
    + debian/libpam-runtime.lintian-overrides: line 5, 7, 9-13
    + debian/libpam-modules.lintian-overrides: line 5-10, 14
  * Trim trailing whitespace.
  * Move source package lintian overrides to debian/source.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update standards version to 4.6.2, no changes needed.

  [ Andreas Henriksson ]
  * debian/rules: use --enable-usergroups configure flag (Closes: #583958)
  * Use pam_umask.so in common-session{-noninteractive} (Closes: #711104)

  [ Debian Janitor ]
  * Apply multi-arch hints. + libpam-doc: Add Multi-Arch: foreign.

  [ Sam Hartman ]
  * Drop NIS patches and rearrange other patches.
  * Update patch to move pam manpage to section 7: docbook tools now take
    the man page output name from the xml so we need to update the
    Makefile.
  * Now PAM.7 is actually installed as pam.7 so update packaging
  * pam-auth-update: Session-Interactive-Only set to anything other than
    yes counts as undefined/no, thanks Lucas Nussbaum, Closes: #982309
  * Use logind instead of utmp in pam_issue and pam_timestamp; utmp is not
    y2038-safe.

  [ Sam Hartman ]
  * Add new common-session-* templates to pam-auth-update.

  [ Chris Hofstaedtler ]
  * Install into /usr/{lib,sbin} instead of /{lib,sbin}. Assumes
    usrmerge aliasing symlinks are in place since bookworm to keep
    compatibility with PAM modules still installing into /lib.
    (DEP17 M2) (Closes: #1060160).
  * Update lintian override for setgid binary.

 -- Sam Hartman <hartmans@debian.org>  Mon, 15 Jan 2024 15:45:50 -0700

pam (1.5.2-9.1ubuntu3) noble; urgency=medium

  [ Chris Hofstaedtler ]
  * Install into /usr/{lib,sbin} instead of /{lib,sbin}. Assumes
    usrmerge aliasing symlinks are in place since bookworm to keep
    compatibility with PAM modules still installing into /lib.
    (DEP17 M2) (Closes: #1060160).
  * Update lintian override for setgid binary.

  [ Helmut Grohne ]
  * Mitigate /usr-move file loss. (Closes: #1062802)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 13:24:31 +0100

pam (1.5.2-9.1ubuntu2) noble; urgency=medium

  * SECURITY UPDATE: pam_namespace local denial of service
    - debian/patches-applied/CVE-2024-22365.patch: use O_DIRECTORY to
      prevent local DoS situations in modules/pam_namespace/pam_namespace.c.
    - CVE-2024-22365

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Jan 2024 12:28:44 -0500

pam (1.5.2-9.1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's
      not present there or in /etc/security/pam_env.conf. (should send to
      Debian).
    - debian/libpam0g.postinst: only ask questions during update-manager when
      there are non-default services running.
    - debian/libpam0g.postinst: check if gdm is actually running before
      trying to reload it.
    - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits.
    - debian/patches-applied/pam_umask_usergroups_from_login.defs.patch:
      Deprecate pam_unix's explicit "usergroups" option and instead read it
      from /etc/login.def's "USERGROUP_ENAB" option if umask is only defined
      there. This restores compatibility with the pre-PAM behaviour of login.
    - debian/patches-applied/pam_motd-legal-notice: display the contents of
      /etc/legal once, then set a flag in the user's homedir to prevent
      showing it again.
    - debian/update-motd.5, debian/libpam-modules.manpages: add a manpage
      for update-motd, with some best practices and notes of explanation.
    - debian/patches/update-motd-manpage-ref: add a reference in pam_motd(8)
      to update-motd(5)
    - debian/local/common-session{,-noninteractive}: Enable pam_umask by
      default, now that the umask setting is gone from /etc/profile.
    - debian/local/pam-auth-update: Add the new md5sums for pam_umask addition.
    - debian/patches-applied/extrausers.patch: Add a pam_extrausers module
      that is basically just a copy of pam_unix but looks at
      /var/lib/extrausers/{group,passwd,shadow} instead of /etc/
    - debian/libpam-modules-bin.install: install the helper binaries for
      pam_extrausers to /sbin
    - debian/rules: Make pam_extrausers_chkpwd sguid shadow
    - Add lintian override for pam_extrausers_chkpwd
    - Disable custom daemon restart detection code if needrestart is available
  * debian/update-motd.5: fix a typo; thanks to David
    Collantes <david@collantes.us>.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Nov 2023 06:39:20 -0800

pam (1.5.2-9.1) unstable; urgency=medium

  * Non-maintainer upload acked by Sam Hartman.
  * Really fix quilt-related FTBFS: (Closes: #1054505)
    pam is a 3.0 (quilt) source package and has a .pc directory after unpack
    despite having no debian/patches. Even when setting QUILT_PATCH_DIR or
    QUILT_PATCHES, quilt is now mislead to using the non-existent
    debian/patches and this makes dh_quilt_unpatch fail, so we delete that
    directory unless it corresponds to the real debian/patches-applied that we
    want to be used.

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 24 Oct 2023 19:38:53 +0200

pam (1.5.2-9) unstable; urgency=low

  * Revert 1.5.2-8 upload; as far as I can tell the change is incorrect,
    Closes: #1054493

 -- Sam Hartman <hartmans@debian.org>  Tue, 24 Oct 2023 09:19:43 -0600

pam (1.5.2-7) unstable; urgency=medium

  [ Steve Langasek ]
  * Drop reference to stale package version in libpam-modules.postinst;
    thanks, Gioele Barabucci <gioele@svario.it>.

  [ Sam Hartman ]
  * Fix pam-auth-update --disable logic error, Closes: #1039873
  * Set myself as maintainer; thanks Steve for past and future work.
  * Fix watch file, thanks Daniel Lewart, Closes: #1040310
  * Install upstream NEWS file as main upstream changelog; detailed
    CHANGELOG only  in libpam-doc, Closes: #1040315
  * Updated Turkish Debconf translations, Thanks Atila KOÇ, Closes: #1029002

 -- Sam Hartman <hartmans@debian.org>  Wed, 16 Aug 2023 17:22:53 -0600

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libpam0g`.
